## kwindowsystem 5.50.0

=== debian/changelog ===
kwindowsystem (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:38 +0100

kwindowsystem (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:34 +0100

kwindowsystem (5.47.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

  [ José Manuel Santamaría Lema ]
  * Comment out netrootinfotestwm-testsupported-needs-to-also-count-
    skipS.patch since we already have fix_netrootinfotestwm.diff to
    solve the same problem
  * Add kubuntu_disable_failing_test.diff

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:49 +0100

kwindowsystem (5.46.0-1) unstable; urgency=medium

  * Update symbols files from buildds logs (5.45.0-1).
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * testsuite: Run tests one at the time
  * Add patch: kwindowinfox11test-Skip-SkipSwitcher-test.patch
  * Add patch: netrootinfotestwm-testsupported-needs-to-also-count-skipS.patch
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:42 +0200

kwindowsystem (5.46.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

  [ José Manuel Santamaría Lema ]
  * Add fix_netrootinfotestwm.diff
  * Update kubuntu_disable_failing_checks.diff

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:57 +0100

kwindowsystem (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:03 +0200

kwindowsystem (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:24 +0100

kwindowsystem (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:13 +0100

kwindowsystem (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:17 +0100

kwindowsystem (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:02 +0100

kwindowsystem (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native. (Closes: 882783)
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:14 -0300

kwindowsystem (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:48:45 +0000

kwindowsystem (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:15 +0000

kwindowsystem (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:47:41 +0000

kwindowsystem (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:32:11 +0000

kwindowsystem (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:59 +0200

kwindowsystem (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5windowsystem-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:22 +0200

kwindowsystem (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:18:39 +0000

kwindowsystem (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Update symbols files.
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:25 +0200

kwindowsystem (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:14:05 +0000

kwindowsystem (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:38:15 +0000



=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.8.0~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb1-dev,
               libxrender-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5windowsystem5-data
Replaces: libkf5windowsystem5-data
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Architecture: any
Section: libdevel
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5windowsystem-doc (= ${source:Version})
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwayland-integration, qtwayland5
Breaks: libkf5globalaccelprivate5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.

## kwindowsystem 5.54.0

=== debian/changelog ===
kwindowsystem (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:28 -0300

kwindowsystem (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:26 +0100

kwindowsystem (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update symbols files from buildds logs (5.47.0-1).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:06 +0200

kwindowsystem (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files from buildds logs (5.46.0-1).
  * Update build-deps and deps with the info from cmake
  * testsuite: Ignore X closing messages
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libqt5sql5-sqlite:native,
-               libqt5x11extras5-dev (>= 5.8.0~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                libx11-dev,
                libxcb-keysyms1-dev,
                libxcb1-dev,
                libxrender-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.9.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem.git
 
 Package: libkf5windowsystem-data
 Architecture: all
@@ -39,10 +39,10 @@
  This package contains the translations.
 
 Package: libkf5windowsystem-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5windowsystem5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5windowsystem-doc (= ${source:Version})
@@ -53,11 +53,19 @@
  lowlevel classes.
  .
  Contains development files for kwindowsystem.
+Breaks: libkf5crash-dev (<< 5.54),
+        libkf5kdelibs4support-dev (<< 5.54),
+        libkf5khtml-dev (<< 5.54),
+        libkf5notifications-dev (<< 5.54),
+        libkf5plasma-dev (<< 5.54),
+        libkf5runner-dev (<< 5.54),
+        libkf5textwidgets-dev (<< 5.54),
+        libkf5wallet-dev (<< 5.54),
+        libkf5xmlgui-dev (<< 5.54),
 
 Package: libkf5windowsystem-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Convenience access to certain properties and features of the window manager
  The class KWindowSystem provides information about the state of the
@@ -66,6 +74,7 @@
  low level classes.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5windowsystem5
 Architecture: any
@@ -74,10 +83,28 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: kwayland-integration, qtwayland5
-Breaks: libkf5globalaccelprivate5 (<< 5.42),
-        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Convenience access to certain properties and features of the window manager
  The class KWindowSystem provides information about the state of the
  window manager and allows asking the window manager to change them
  using a more high-level interface than the NETWinInfo/NETRootInfo
  low level classes.
+Breaks: kinit (<< 5.54),
+        kio (<< 5.54),
+        libkf5crash5 (<< 5.54),
+        libkf5globalaccel-bin (<< 5.54),
+        libkf5globalaccelprivate5 (<< 5.42),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5notifications5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.54),
+        libkf5wallet5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-kwindowsystem (<< 5.54),

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox, xserver-xephyr, libgl1-mesa-dri
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kwindowsystem 5.56.0

=== debian/changelog ===
kwindowsystem (5.56.0-0ubuntu2) disco; urgency=medium

  * Skip kwindowinfox11test rather than trying to patch it every time it
    breaks. This is test is regularly broken upstream, and we are
    wasting effort here.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 02 Apr 2019 23:26:48 +0100

kwindowsystem (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:48 +0000

kwindowsystem (5.55.0-0ubuntu2) disco; urgency=medium

  * debian/patches: Drop fix_netrootinfotestwm.diff
    - From LXD test runs, seems fixed upstream and this patch now
      causes a regression.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Feb 2019 10:54:40 +0000

kwindowsystem (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)
  * Update patch fix_netrootinfotestwm.diff

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:33:15 +0000

kwindowsystem (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:34 +0000

kwindowsystem (5.53.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Refresh patches.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:07 +0000

kwindowsystem (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install kwindowsystem.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:29 +0000

kwindowsystem (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:11:49 +0000

=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.8.0~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb1-dev,
               libxrender-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5windowsystem5-data
Replaces: libkf5windowsystem5-data
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Architecture: any
Section: libdevel
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5windowsystem-doc (= ${source:Version})
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwayland-integration, qtwayland5
Breaks: libkf5globalaccelprivate5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.

## kwindowsystem 5.62.0

=== debian/changelog ===
kwindowsystem (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file with the logs of buildds.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Remove unused ${shlibs:Depends} substvar for libkf5windowsystem-dev.
  * Remove the libkf5windowsystem5-data breaks/replaces for
    libkf5windowsystem-data, as the rename was done even before oldstable.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the migration from libkf5windowsystem5-dbg, no more needed after two
    Debian stable releases.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop patch kwindowinfox11test-Skip-SkipSwitcher-test.patch, no more
      needed now
  * Remove the unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Sep 2019 08:35:22 +0200

kwindowsystem (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Disable autopkgtest
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:15 -0700

kwindowsystem (5.61.0-1) experimental; urgency=medium

  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Move qdebug logging categories files.
  * Drop upstream applied patch: netrootinfotestwm-testsupported-needs-to-also-count-skipS.patch
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Add missing version to maintscript
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:03 +0100

=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.11.0~),
               libx11-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb1-dev,
               libxrender-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.4.0
Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem.git

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Section: libdevel
Architecture: any
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5windowsystem-doc (= ${source:Version})
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.
Breaks: libkf5crash-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5notifications-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5runner-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5wallet-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwayland-integration, qtwayland5
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
Breaks: kinit (<< 5.54),
        kio (<< 5.54),
        libkf5crash5 (<< 5.54),
        libkf5globalaccel-bin (<< 5.54),
        libkf5globalaccelprivate5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5notifications5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5wallet5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kquickcontrols (<< 5.54),
        qml-module-org-kde-kwindowsystem (<< 5.54),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kwindowsystem 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
project(KWindowSystem VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakeFindFrameworks)
include(ECMQtDeclareLoggingCategory)

include(ECMAddQch)
include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# TODO KF6: remove
option(KWINDOWSYSTEM_NO_WIDGETS "Disable deprecated API including QWidget usage, so that KWindowSystem does not link to QtWidgets. Warning: this is binary and source incompatible.")
if (KWINDOWSYSTEM_NO_WIDGETS)
    # ensure EXCLUDE_DEPRECATED_BEFORE_AND_AT is at least at the version where all QWidgets API is deprecated
    if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
        EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS "5.62.0")
        set(EXCLUDE_DEPRECATED_BEFORE_AND_AT "5.62.0")
    endif()
endif()

ecm_setup_version(PROJECT VARIABLE_PREFIX KWINDOWSYSTEM
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwindowsystem_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfigVersion.cmake"
                        SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (APPLE)
    cmake_find_frameworks(Carbon)
    cmake_find_frameworks(CoreFoundation)
endif()

if(WIN32)
   find_package(Qt5WinExtras REQUIRED)
endif()

if (NOT APPLE)
    find_package(X11)
endif()

set(KWINDOWSYSTEM_HAVE_X11 ${X11_FOUND})

if(X11_FOUND)
    find_package(XCB COMPONENTS REQUIRED XCB KEYSYMS RES)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
    set_package_properties(X11_Xrender PROPERTIES DESCRIPTION "X Rendering Extension (libXrender)"
                           URL "http://www.x.org" TYPE RECOMMENDED
                           PURPOSE "Support for compositing, rendering operations, and alpha-blending")
    set(KWINDOWSYSTEM_HAVE_XRENDER ${X11_Xrender_FOUND})
    set(KWINDOWSYSTEM_HAVE_XFIXES ${X11_Xfixes_FOUND})
endif()

# Subdirectories
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5WindowSystem")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5WindowSystem_QCH
        FILE KF5WindowSystemQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5WindowSystemQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5WindowSystemConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5WindowSystemTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WindowSystemTargets.cmake NAMESPACE KF5:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kwindowsystem_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DAUTOTEST_BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}")

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

add_subdirectory(helper)

if (NOT APPLE)
    find_package(X11)
    find_package(XCB COMPONENTS XCB ICCCM KEYSYMS)
endif()

macro(KWINDOWSYSTEM_UNIT_TESTS)
   foreach(_testname ${ARGN})
      set(libs KF5::WindowSystem Qt5::Test Qt5::Widgets Qt5::X11Extras XCB::ICCCM XCB::KEYSYMS)
      if(X11_FOUND)
         list(APPEND libs ${XCB_XCB_LIBRARY})
      endif()
      ecm_add_test(${_testname}.cpp LINK_LIBRARIES ${libs} NAME_PREFIX "kwindowsystem-" GUI)
   endforeach(_testname)
endmacro(KWINDOWSYSTEM_UNIT_TESTS)
macro(KWINDOWSYSTEM_EXECUTABLE_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp)
      target_link_libraries(${_testname} KF5::WindowSystem Qt5::Test Qt5::X11Extras XCB::XCB)
      ecm_mark_as_test(${_testname})
   endforeach()
endmacro()


if(X11_FOUND)
    include_directories(${CMAKE_SOURCE_DIR}/src/platforms/xcb)
    kwindowsystem_unit_tests(
        kmanagerselectiontest
        kstartupinfo_unittest
        kxmessages_unittest
        kkeyserver_x11_unittest
    )

    kwindowsystem_unit_tests(
        kwindoweffectstest
        kwindowinfox11test
        kwindowsystemx11test
        kwindowsystem_threadtest
        netrootinfotestwm
        netwininfotestclient
        netwininfotestwm
        compositingenabled_test
    )
    
    kwindowsystem_executable_tests(
        fixx11h_test
        fixx11h_test2
        dontcrashmapviewport
    )
endif()

ecm_add_test(kwindowsystem_platform_wayland_test.cpp LINK_LIBRARIES KF5::WindowSystem Qt5::Test TEST_NAME kwindowsystemplatformwaylandtest NAME_PREFIX "kwindowsystem-" GUI)

=== debian/changelog ===
kwindowsystem (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:48 +0000

kwindowsystem (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:34 +0000

kwindowsystem (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:23 +0000

kwindowsystem (5.65.0-0ubuntu2) focal; urgency=medium

  * Build depend on libxfixes-dev and libxcb-xfixes0-dev explicitly to prevent
    FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 23 Dec 2019 11:48:13 +0000

kwindowsystem (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:27 +0000

kwindowsystem (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:38 +0000

kwindowsystem (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages
  * Drop all patches, as they only fixed or disabled tests.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2019 11:36:56 +0000

kwindowsystem (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.
  * Drop all unused patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:03 +0100

kwindowsystem (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Add libxcb-icccm4-dev and libxcb-res0-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:43 +0100

kwindowsystem (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:11 +0100

kwindowsystem (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:20 +0100

kwindowsystem (5.58.0-0ubuntu2) eoan; urgency=medium

  * For now, stop running upstream tests that break in new ways on
    nearly every release.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 May 2019 10:33:11 +0100

kwindowsystem (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:30 +0100

kwindowsystem (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:04 +0100

=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.8.0~),
               libx11-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxrender-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5windowsystem5-data
Replaces: libkf5windowsystem5-data
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Architecture: any
Section: libdevel
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5windowsystem-doc (= ${source:Version})
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwayland-integration, qtwayland5
Breaks: libkf5globalaccelprivate5 (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF
 
+override_dh_strip:
+	dh_strip --dbgsym-migration='libkf5windowsystem5-dbg (<= 5.19.0-1~~)'
+
 override_dh_auto_test:
 	# Disable auto tests at build time
 	:

## kwindowsystem 5.74.0

=== debian/changelog ===
kwindowsystem (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:12 +0100

kwindowsystem (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:32 +0100

kwindowsystem (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:35:07 +0100

kwindowsystem (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:38 +0100

kwindowsystem (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jun 2020 09:04:52 +0100

kwindowsystem (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.61.0-1, 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:15 +0200

kwindowsystem (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:18 +0100

kwindowsystem (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:55:58 +0200

kwindowsystem (5.62.0-3) unstable; urgency=medium

  * Team upload.
  * Explicitly add the libxcb-xfixes0-dev, and libxfixes-dev build
    dependencies, no more implicitly pulled by other X development packages.
    (Closes: #948827)
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the unused/disabled 'acc' autopkgtest.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Mar 2020 08:27:34 +0100

=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.12.0~),
               libx11-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxrender-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
Rules-Requires-Root: no

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Section: libdevel
Architecture: any
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Recommends: libkf5windowsystem-doc (= ${source:Version})
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.
Breaks: libkf5crash-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5notifications-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5runner-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5wallet-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54)

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kwayland-integration, qtwayland5
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
